package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/RSAEncryptAction.class */
public class RSAEncryptAction extends LifeAction {
    private String password;
    private String passwordNew;

    public String execute(Context context) throws GENEException {
        try {
            String encryptStr = (String) context.getDataValue(this.password);
            StringBuffer decrypt = decrypt(encryptStr);
            context.setDataValue(this.passwordNew, decrypt.toString());
            return "0";
        } catch (Exception e) {
            context.printStackTrace();
            throw new TranFailException("EB00051", "密码校验失败!");
        }
    }

    private StringBuffer decrypt(String password) throws NoSuchAlgorithmException {
        String newPassword = AESEncryptUtils.aesDecrypt(password);
        MessageDigest sha = MessageDigest.getInstance("SHA");
        sha.update(newPassword.getBytes());
        byte[] bs = sha.digest();
        StringBuffer buffer = new StringBuffer("");
        int length = bs.length;
        for (int i = 0; i < length; i++) {
            byte b = bs[i];
            buffer.append(Integer.toHexString(b < 0 ? b + 256 : b));
        }
        return buffer;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPasswordNew() {
        return this.passwordNew;
    }

    public void setPasswordNew(String passwordNew) {
        this.passwordNew = passwordNew;
    }
}
